<?php

namespace Drupal\graphql_flag\Plugin\GraphQL\Fields;

use Drupal\graphql\GraphQL\Execution\ResolveContext;
use Drupal\graphql\Plugin\GraphQL\Fields\FieldPluginBase;
use GraphQL\Type\Definition\ResolveInfo;

/**
 * User flagged flag id.
 *
 * @GraphQLField(
 *   id = "user_flagging_flag_id",
 *   name = "flagId",
 *   description = "User flagged flag id.",
 *   type = "String",
 *   secure = true,
 *   parents = {
 *     "UserFlagging",
 *   },
 * )
 */
class UserFlaggingFlagId extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  protected function resolveValues($value, array $args, ResolveContext $context, ResolveInfo $info) {
    yield $value['flagId'];
  }

}
